Chat / LLM completion
OpenAI-compatible chat completion endpoint. Drop-in replacement for OpenAI(base_url='https://api.runcrate.ai/v1').
POST
/
chat
/
completions
Chat / LLM completion
curl --request POST \
--url https://api.runcrate.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"stop": "<string>",
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": false,
"tools": [
{}
],
"tool_choice": "<string>",
"response_format": {}
}
'import requests
url = "https://api.runcrate.ai/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"stop": "<string>",
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": False,
"tools": [{}],
"tool_choice": "<string>",
"response_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [{content: '<string>', name: '<string>'}],
max_tokens: 2,
temperature: 1,
top_p: 0.5,
stop: '<string>',
frequency_penalty: 0,
presence_penalty: 0,
stream: false,
tools: [{}],
tool_choice: '<string>',
response_format: {}
})
};
fetch('https://api.runcrate.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.
Body
application/json
Model id from the catalog (e.g. deepseek/deepseek-v3.2).
Show child attributes
Show child attributes
Required range:
x >= 1Required range:
0 <= x <= 2Required range:
0 <= x <= 1Required range:
-2 <= x <= 2Required range:
-2 <= x <= 2⌘I
Chat / LLM completion
